Skip to main content
GET
Every round a maintenance schedule has generated, including the rounds activity merge skipped.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

occurrence_id
string
maintenance_plan_id
string
plan_number
string
plan_name
string
work_order_type_name
string
triggered_by
string
interval_unit
string
interval_count
string
merge_rank
string
start_date
string
asset_id
string
asset_number
string
asset_name
string
site_id
string
site_code
string
site_name
string
activity_merge
string
location_id
string
location_name
string
scheduled_for
string
scheduled_on
string
status
string
status_label
string
status_category
string
is_merged
string
skipped_reason
string
covered_by_occurrence_id
string
covered_by_plan_id
string
covered_by_plan_number
string
covered_by_merge_rank
string
covered_by_scheduled_on
string
work_order_id
string
work_order_number
string
inspection_id
string
inspection_number
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

activity_merge
boolean<boolean>
asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

asset_name
string<character varying>
Maximum string length: 250
asset_number
string<character varying>
Maximum string length: 80
covered_by_merge_rank
integer<smallint>
covered_by_occurrence_id
string<uuid>

Note: This is a Primary Key.

covered_by_plan_id
string<uuid>
covered_by_plan_number
string<character varying>
Maximum string length: 60
covered_by_scheduled_on
string<date>
inspection_id
string<uuid>

Note: This is a Primary Key.

inspection_number
string<character varying>
Maximum string length: 60
interval_count
integer<integer>
interval_unit
string<character varying>
Maximum string length: 10
is_merged
boolean<boolean>
location_id
string<uuid>

Note: This is a Foreign Key to location_settings.id.

location_name
string<character varying>
Maximum string length: 200
maintenance_plan_id
string<uuid>

Note: This is a Primary Key.

merge_rank
integer<smallint>
occurrence_id
string<uuid>
plan_name
string<character varying>
Maximum string length: 250
plan_number
string<character varying>
Maximum string length: 60
scheduled_for
string<timestamp with time zone>
scheduled_on
string<date>
site_code
string<character varying>
Maximum string length: 50
site_id
string<uuid>

Note: This is a Foreign Key to entry_currencies.for_site_id.

site_name
string<character varying>
Maximum string length: 200
skipped_reason
string<text>
start_date
string<date>
status
string<character varying>
Maximum string length: 60
status_category
string<character varying>
Maximum string length: 20
status_label
string<text>
triggered_by
string<character varying>
Maximum string length: 20
work_order_id
string<uuid>

Note: This is a Primary Key.

work_order_number
string<character varying>
Maximum string length: 60
work_order_type_name
string<character varying>
Maximum string length: 150